h10322
s 00006/00002/00037
d D 1.7 80/09/09 16:06:38 lcd 7 6
c Added PREV and NEXT
e
s 00001/00001/00038
d D 1.6 80/09/09 02:20:45 lcd 6 5
c Changed "struct" command to "table"
e
s 00001/00001/00038
d D 1.5 80/09/09 00:11:42 lcd 5 4
c Fixed struct description
e
s 00007/00006/00032
d D 1.4 80/09/07 13:20:54 lcd 4 3
c Added structure print out command
e
s 00005/00005/00033
d D 1.3 80/09/07 10:06:38 lcd 3 2
c More explicit
e
s 00008/00007/00030
d D 1.2 80/09/05 16:08:11 lcd 2 1
c Updated
e
s 00037/00000/00000
d D 1.1 80/05/15 14:27:01 lcd 1 0
e
u
sunix
lcd
U
t
T
I 1
#

#include "style.h"
#include <stdio.h>

/*
 *	help.c: print out help messages
 */

CONST	char	*_S_help	"%W%";

/*
 *	help: print out help message
 */

PROCEDURE help()

BEGIN	printf("COMMANDS\n\n");

	printf("quit\n");
D 3
	printf("<newline>\n");
	printf("-\n");
	printf(".\n");
	printf("=\n");
D 2
	printf("display\n");
E 2
I 2
	printf("!\n");
E 3
I 3
D 7
	printf("<newline> (next)\n");
	printf("- (previous)\n");
E 7
I 7
	printf("<newline> (next word)\n");
	printf("^ (previous word)\n");
	printf("- [ <sourcename> ] (previous table entry)\n");
	printf("+ [ <sourcename> ] (next table entry)\n");
E 7
	printf(". (current contents)\n");
	printf("= (current address)\n");
	printf("! (shell escape)\n");
E 3
D 4
	printf("display (next N bytes)\n");
E 2
	printf("look <physadr>,<physadr>\n");
D 2
	printf("text <textadr>,<bytes>\n");
	printf("data <dataadr>,<bytes>\n");
	printf("label <labelname>,<bytes>\n");
	printf("name <sourcename>,<bytes>\n");
	printf("stack <processnumber>,<stackaddress>,<bytes>\n");
E 2
I 2
	printf("text <textadr>,<bytes = N>\n");
E 4
	printf("data <dataadr>,<bytes = N>\n");
I 4
	printf("display (next N bytes)\n");
E 4
	printf("label <labelname>,<bytes = N>\n");
I 4
	printf("look <physadr>,<physadr>\n");
	printf("mode [ octal decimal hexidecimal byte char ]\n");
E 4
	printf("name <sourcename>,<bytes = N>\n");
I 7
	printf("next [ <sourcename> ] (next table entry)\n");
E 7
D 4
	printf("stack <processnumber>,<stackaddress>,<bytes = N>\n");
E 2
	printf("registers\n");
E 4
	printf("ppt <processnumber>,<numberentries>\n");
I 7
	printf("previous [ <sourcename> ] (previous table entry)\n");
E 7
I 4
	printf("registers\n");
E 4
	printf("signal [ <signaladdress> <signalname> ]\n");
D 2
	printf("mode [ otcal decimal hexidecimal byte char ]\n");
E 2
I 2
D 4
	printf("mode [ octal decimal hexidecimal byte char ]\n");
E 4
I 4
	printf("stack <processnumber>,<stackaddress>,<bytes = N>\n");
D 5
	printf("struct <sourcename> ...\n");
E 5
I 5
D 6
	printf("struct <sourcename>,<tableindex>\n");
E 6
I 6
	printf("table <sourcename>,<tableindex>\n");
E 6
E 5
	printf("text <textadr>,<bytes = N>\n");
E 4
E 2
	putchar('\n');
END
E 1
